OpenResty 升级说明

1panel/openresty:1.21.4.3-3-1-focal 版本发现漏洞和异常内存占用,
请尽快升级到 1panel/openresty:1.21.4.3-3-2-focal

点击应用商店-更新应用列表 获取 OpenResty 最新版本并升级

漏洞影响版本:openresty:1.21.4.3-3-1 以及以前版本

如果升级失败,请在日志审计-系统日志中查看升级日志
如果是镜像拉取超时 请参考 Docker Hub 无法访问:应用安装失败,镜像拉取超时的临时解决方案

另外:我们错误的给社区版用户也开启了网站监控,造成了一定的内存占用
参考以下步骤关闭
在 /opt/1panel/apps/openresty/openresty/1pwaf/data/conf 目录下打开 monitor.json 文件
并使用以下配置覆盖

{"state":"off","exclude":{"extensions":["png","gif","jpg","css","js","svg","jpeg","woff","woff2","bmp","swf","icon","ttf","eot"],"status":[],"uri":["/favicon.ico"]},"log":{"maxDay":180}}

另外 如果想要使用官方的镜像(不使用 1panel 的 WAF 和 网站监控功能)
可以这么操作
修改 docker-compose 文件


修改 openresty 主配置文件

然后重建 openresty

2 个赞

建议一个BUG给王总扣200工资 :thinking: